import req from '@/request.js'
const portal = window.context.portal
export default {
	// 资料信息列表
	getMaterial(data, cb) {
		req.post(portal + `/exam/materialType/info/query`, data).then(res => {
			cb(res.data)
		})
	},
	// 获取资料分类下拉树
	getMaterTree(data, cb) {
		req.post(portal + `/exam/materialType/type/getTree`, data).then(res => {
			cb(res.data)
		})
	},
	//查看文件
	getInfo(id, cb) {
		req.get(portal + `/exam/materialType/info/viewFile/`+id).then(res => {
			cb(res.data)
		})
	}
}
